CLASS OPTIONA(3)

NAME
boost::signals2::optional_last_value<void> - Evaluate an InputIterator sequence.

SYNOPSIS

// In header: <boost/signals2/optional_last_value.hpp>
class optional_last_value<void> {
public:
  // types
  typedef void result_type;
  // invocation
  template<typename InputIterator>
    result_type operator()(InputIterator, InputIterator) const;
};

DESCRIPTION

This specialization of signals2::optional_last_value is provided to cope with the fact that there is no such thing as an optional<void>, which optional_last_value would otherwise try to use as its result_type. This specialization instead sets the result_type to be void.

  optional_last_value invocation

    1.

    template<typename InputIterator>
      result_type operator()(InputIterator first, InputIterator last) const;

    Effects:
        Attempts to dereference every iterator in the sequence [first, last).